<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="null" language="groovy" pageWidth="595" pageHeight="842" columnWidth="535" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="48dd6838-7f9a-4c7a-9dce-e55b29c1c3ee">
	<property name="ireport.zoom" value="1.5"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<style name="Title" forecolor="#FFFFFF" fontName="Arial" fontSize="26" isBold="true" pdfFontName="Helvetica-Bold"/>
	<style name="SubTitle" forecolor="#666666" fontName="Arial" fontSize="18"/>
	<style name="Column header" forecolor="#666666" fontName="Arial" fontSize="12" isBold="true"/>
	<style name="Detail" fontName="Arial" fontSize="12"/>
	<queryString language="SQL">
		<![CDATA[SELECT
     asistencia.`cedula` AS asistencia_cedula,
     asistencia.`nombre_completo` AS asistencia_nombre_completo,
     ROUND((SUM(asistencia.`min_extras`) / 60), 0) AS horas_extras
FROM
     `asistencia` asistencia
where asistencia.`min_extras` > 30
group by  asistencia.`cedula`]]>
	</queryString>
	<field name="asistencia_cedula" class="java.lang.String"/>
	<field name="asistencia_nombre_completo" class="java.lang.String"/>
	<field name="horas_extras" class="java.math.BigDecimal"/>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="98" splitType="Stretch">
			<image>
				<reportElement x="0" y="3" width="553" height="56" uuid="d9ed724e-98be-46ba-bbd5-8e06e227f2dd"/>
				<imageExpression><![CDATA["F:\\NetBeansProjects\\Asistencia\\src\\controldeasistencias\\Reportes\\cintillo.jpg"]]></imageExpression>
			</image>
			<staticText>
				<reportElement x="0" y="78" width="553" height="20" uuid="fb23dcfa-4c35-42d7-b029-a95dd9991eab"/>
				<textElement textAlignment="Center">
					<font size="16" isBold="true"/>
				</textElement>
				<text><![CDATA[Horas Extras por Empleado]]></text>
			</staticText>
		</band>
	</title>
	<pageHeader>
		<band splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band height="36" splitType="Stretch">
			<line>
				<reportElement positionType="FixRelativeToBottom" x="0" y="35" width="555" height="1" uuid="84e34b2e-9135-41b2-9c00-917d16110ba4"/>
				<graphicElement>
					<pen lineWidth="0.5" lineColor="#999999"/>
				</graphicElement>
			</line>
			<staticText>
				<reportElement style="Column header" x="0" y="19" width="185" height="15" uuid="9bbee945-d274-4098-9570-d345f90dc870"/>
				<text><![CDATA[CÉDULA]]></text>
			</staticText>
			<staticText>
				<reportElement style="Column header" x="185" y="19" width="185" height="15" uuid="1336116a-8fce-411a-9e64-b27f91e863d6"/>
				<text><![CDATA[EMPLEADO]]></text>
			</staticText>
			<staticText>
				<reportElement style="Column header" x="370" y="19" width="185" height="15" uuid="45726260-7bc0-47e7-bd0a-c509ae9920b3"/>
				<text><![CDATA[HORAS EXTRAS]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="16" splitType="Stretch">
			<line>
				<reportElement positionType="FixRelativeToBottom" x="0" y="15" width="555" height="1" uuid="8cc58815-a2bc-4dae-be1f-3036afbdede5"/>
				<graphicElement>
					<pen lineWidth="0.5" lineColor="#999999"/>
				</graphicElement>
			</line>
			<textField>
				<reportElement style="Detail" x="0" y="0" width="185" height="15" uuid="3320ecae-ad87-4b83-9f53-f9450a665974"/>
				<textElement>
					<font size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{asistencia_cedula}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement style="Detail" x="185" y="0" width="185" height="15" uuid="0a44d60d-7b25-4183-97b9-ea16c5555338"/>
				<textElement>
					<font size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{asistencia_nombre_completo}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement style="Detail" x="370" y="0" width="185" height="15" uuid="9f500f58-c88b-4ced-ba51-1ba305a2f9c6"/>
				<textElement>
					<font size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{horas_extras}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band height="10" splitType="Stretch">
			<line>
				<reportElement positionType="FixRelativeToBottom" x="0" y="3" width="555" height="1" uuid="dd529fc6-09e9-499d-8e8b-59589d6a53f4"/>
				<graphicElement>
					<pen lineWidth="0.5" lineColor="#999999"/>
				</graphicElement>
			</line>
		</band>
	</columnFooter>
	<pageFooter>
		<band height="20" splitType="Stretch">
			<textField>
				<reportElement style="Column header" x="433" y="0" width="80" height="20" uuid="04e552bd-58d5-4342-8729-585607b72243"/>
				<textElement textAlignment="Right">
					<font size="10" isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Página "+$V{PAGE_NUMBER}+" de"]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Report">
				<reportElement style="Column header" x="513" y="0" width="40" height="20" uuid="ca19433e-c998-46d1-86bf-6e01bae593d4"/>
				<textElement>
					<font size="10" isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA[" " + $V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
			<textField pattern="EEEEE dd MMMMM yyyy">
				<reportElement style="Column header" x="0" y="0" width="197" height="20" uuid="db43d6c8-527a-4f01-9b17-6d3206eac630"/>
				<textElement>
					<font size="10" isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA[new java.util.Date()]]></textFieldExpression>
			</textField>
		</band>
	</pageFooter>
	<summary>
		<band splitType="Stretch"/>
	</summary>
</jasperReport>
